Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free.

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

Possible Duplicate:
Can I keep using Ubuntu 9.04 if it's outdated?
Unable to install software on my ubuntu 9.10

This server I'm running is still on Karmic - I'm painfully aware that it has reached its end of life. However, due to a RAID driver we're using it's a pretty big hassle to upgrade, something that I haven't yet had time to look into.

I'm trying to run a Ventrilo server, and I'm stuck because I can't install ia32-libs:

$ sudo apt-get install ia32-libs
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 libc6-i386
Suggested packages:
  lib32asound2-plugins
The following NEW packages will be installed:
  ia32-libs lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 libc6-i386
0 upgraded, 9 newly installed, 0 to remove and 4 not upgraded.
Need to get 33.8MB of archives.
After this operation, 143MB of additional disk space will be used.
Do you want to continue [Y/n]? Y
WARNING: The following packages cannot be authenticated!
  libc6-i386 lib32bz2-1.0 lib32gcc1 lib32z1 lib32stdc++6 lib32asound2 lib32ncurses5 lib32v4l-0 ia32-libs
Install these packages without verification [y/N]? y
Err http://us.archive.ubuntu.com karmic-updates/main libc6-i386 2.10.1-0ubuntu19
  404  Not Found [IP: 91.189.92.184 80]
Err http://us.archive.ubuntu.com karmic/main lib32z1 1:1.2.3.3.dfsg-13ubuntu3
  404  Not Found [IP: 91.189.92.184 80]
Err http://us.archive.ubuntu.com karmic-updates/main lib32asound2 1.0.20-3ubuntu6.1
  404  Not Found [IP: 91.189.92.184 80]
Err http://us.archive.ubuntu.com karmic/main lib32ncurses5 5.7+20090803-2ubuntu2
  404  Not Found [IP: 91.189.92.184 80]
Err http://us.archive.ubuntu.com karmic/main lib32v4l-0 0.6.0-1
  404  Not Found [IP: 91.189.92.184 80]
Err http://security.ubuntu.com karmic-security/main libc6-i386 2.10.1-0ubuntu19
  404  Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com karmic-security/main lib32bz2-1.0 1.0.5-3ubuntu0.1
  404  Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com karmic-security/main lib32gcc1 1:4.4.1-4ubuntu9
  404  Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com karmic-security/main lib32stdc++6 4.4.1-4ubuntu9
  404  Not Found [IP: 91.189.92.166 80]
Err http://security.ubuntu.com karmic-security/universe ia32-libs 2.7ubuntu17.1
  404  Not Found [IP: 91.189.92.166 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/e/eglibc/libc6-i386_2.10.1-0ubuntu19_amd64.deb  404  Not Found [IP: 91.189.92.166 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/b/bzip2/lib32bz2-1.0_1.0.5-3ubuntu0.1_amd64.deb  404  Not Found [IP: 91.189.92.166 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/g/gcc-4.4/lib32gcc1_4.4.1-4ubuntu9_amd64.deb  404  Not Found [IP: 91.189.92.166 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/z/zlib/lib32z1_1.2.3.3.dfsg-13ubuntu3_amd64.deb  404  Not Found [IP: 91.189.92.184 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/g/gcc-4.4/lib32stdc++6_4.4.1-4ubuntu9_amd64.deb  404  Not Found [IP: 91.189.92.166 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/a/alsa-lib/lib32asound2_1.0.20-3ubuntu6.1_amd64.deb  404  Not Found [IP: 91.189.92.184 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/n/ncurses/lib32ncurses5_5.7+20090803-2ubuntu2_amd64.deb  404  Not Found [IP: 91.189.92.184 80]
Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/libv/libv4l/lib32v4l-0_0.6.0-1_amd64.deb  404  Not Found [IP: 91.189.92.184 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/i/ia32-libs/ia32-libs_2.7ubuntu17.1_amd64.deb  404  Not Found [IP: 91.189.92.166 80]

I'm not too familiar with what happens to a system when it's reached end of life, but I can see the security repos are gone. Is there a way around this?

Any help would be much appreciated!

share|improve this question

marked as duplicate by fossfreedom, bodhi.zazen, htorque, Takkat, Bruno Pereira Jan 10 '12 at 19:41

This question was marked as an exact duplicate of an existing question.

as you've noticed Karmic Koala has reached its end. It's no longer on that server. Maybe you can find single packages as in https://launchpad.net/ubuntu/karmic/i386/libc6/2.10.1-0ubuntu19. By now I don't know if a 'old' repository exists.

Hope it helps

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.